Category:
Severity: Major Add-on version:
gvSIG version: 2.2.0 Add-on build:
Add-on name: Unknown
Description

This problem exists obviously only on windows, since linux permits removal of files while they are opened.

To reproduce the problem:

    -  edit a layer
    -  change some geometries
    -  finish editing and save the changes
    -  try to delete the shapefile that is referenced by that layer from the filesystem explorer
    -  it will not be possible, since gvSIG keeps the reference
    -  remove the layer from the view in gvSIG
    -  try again to remove the shapefile on the filesystem
    -  still not possible to remove it

It seems that gvSIG keeps the datastore open even if the layer is not visible in any view. I think this is not acceptable, since one is
forced to close gvSIG to just delete a file.

Related issues:
Related to Application: gvSIG desktop - gvSIG bugs # 3863: Editing mode is no... Closed 11/09/2015
Related to Application: gvSIG desktop - gvSIG bugs # 3935: Error saving shape Closed 12/17/2015

History
#1 - 12/17/2015 09:40 AM - Joaquín  del Cerro Murciano
- Related to gvSIG bugs #3863: Editing mode is not finished in Windows added

#2 - 12/17/2015 09:41 AM - Joaquín  del Cerro Murciano
- Related to gvSIG bugs #3935: Error saving shape added

#3 - 01/18/2016 11:29 PM - Joaquín  del Cerro Murciano
- Target version changed from 98 to 2.3.0-2447-final (rev. org.gvsig.desktop-2.0.153)

#4 - 01/20/2016 11:37 AM - Álvaro Anguix
- Assignee set to Daniel Martinez

#5 - 01/20/2016 12:01 PM - Daniel Martinez
- Status changed from New to In progress
#6 - 01/20/2016 12:37 PM - Daniel Martinez
- Status changed from In progress to Fixed

Tried on Windows 7 64-bits with gvSIG 2414. All the shape files could be removed as soon as the layer is deleted from the gvSIG view, so the problem
seems solved.

#7 - 01/20/2016 12:42 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.3.0-2447-final (rev. org.gvsig.desktop-2.0.153) to 2.3.0-2416 (rev. org.gvsig.desktop-2.0.122)

#8 - 01/26/2016 01:32 PM - Álvaro Anguix
- Status changed from Fixed to Closed
